cmake_minimum_required(VERSION 2.8)

# Installation directories, build tools will copy generated targets
# to these locations and search them by default for library headers.
set(PYEDEV_CONFIG_INSTALL       "<-- INSTALL_DIR -->")
set(PYEDEV_CONFIG_INSTALL_INC   "${PYEDEV_CONFIG_INSTALL}/lib/include")
set(PYEDEV_CONFIG_INSTALL_LIB   "${PYEDEV_CONFIG_INSTALL}/lib")
set(PYEDEV_CONFIG_INSTALL_BIN   "${PYEDEV_CONFIG_INSTALL}/bin")
set(PYEDEV_CONFIG_INSTALL_TESTS "${PYEDEV_CONFIG_INSTALL}/tests")
set(PYEDEV_CONFIG_INSTALL_DOCS  "${PYEDEV_CONFIG_INSTALL}/docs")

# Toolchain binary executables, build tools will use these to force
# the compiler used by CMake and to generate binary files. Must be
# postfixed with .exe on Windows platforms.
set(PYEDEV_CONFIG_TOOLCHAIN         "<-- TOOLCHAIN_DIR -->")
set(PYEDEV_CONFIG_TOOLCHAIN_CC      "${PYEDEV_CONFIG_TOOLCHAIN}/bin/arm-none-eabi-gcc")
set(PYEDEV_CONFIG_TOOLCHAIN_CXX     "${PYEDEV_CONFIG_TOOLCHAIN}/bin/arm-none-eabi-g++")
set(PYEDEV_CONFIG_TOOLCHAIN_OBJCOPY "${PYEDEV_CONFIG_TOOLCHAIN}/bin/arm-none-eabi-objcopy")
set(PYEDEV_CONFIG_TOOLCHAIN_SIZE    "${PYEDEV_CONFIG_TOOLCHAIN}/bin/arm-none-eabi-size")

# General compiler flags (optional).
set(PYEDEV_CONFIG_COMPILER_FLAGS "-Wall -ffunction-sections -fdata-sections -fno-common -fmessage-length=0")

# Assembly compiler specific flags (optional).
set(PYEDEV_CONFIG_ASM_FLAGS "")

# C compiler specific flags (optional).
set(PYEDEV_CONFIG_C_FLAGS "-std=gnu99")

# C++ compiler specific flags (optional).
set(PYEDEV_CONFIG_CXX_FLAGS "-fno-rtti -fno-exceptions -std=gnu++98")

# Binary linker flags (optional).
set(PYEDEV_CONFIG_LD_FLAGS "-Wl,--gc-sections")
