import os
import codecs

from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))

# Get the long description from the readme file.
with codecs.open(os.path.join(here, "README.rst"), "r") as f:
    long_description = f.read()

# Get version from pyedev module.
import pyedev

# Required package for testing.
tests_require = ["nose"]

setup(
    name="pyedev",
    version=pyedev.version(),
    install_requires=[
        # requirements...
    ] + tests_require,
    description=pyedev.DESC,
    long_description=long_description,
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "Topic :: Software Development :: Build Tools",
        "Topic :: Software Development :: Embedded Systems",
        "Programming Language :: Assembly",
        "Programming Language :: C",
        "Programming Language :: C++",
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: 3.5",
        "License :: Public Domain",
    ],
    keywords="embedded development cmake",
    author="mojzu",
    author_email="mail@mojzu.net",
    url="https://github.com/mojzu/pyedev",
    license="UNLICENSE",
    packages=find_packages(exclude=["docs", "tests*"]),
    include_package_data=True,
    entry_points={
        "console_scripts": [
            "pyedev=pyedev:main",
        ],
    },
    tests_require=tests_require,
    test_suite="nose.collector",
    zip_safe=False,
)
